|  | Home · All Namespaces · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QScriptSyntaxCheckResult Class Reference
[QtScript module]

The QScriptSyntaxCheckResult class provides the result of a script syntax check. More...

     #include <QScriptSyntaxCheckResult>

This class was introduced in Qt 4.5.

- List of all members, including inherited members

### Public Types

- enum State { Error, Intermediate, Valid }

### Public Functions

- QScriptSyntaxCheckResult ( const QScriptSyntaxCheckResult & other )
- ~QScriptSyntaxCheckResult ()
- int errorColumnNumber () const
- int errorLineNumber () const
- QString errorMessage () const
- State state () const
- QScriptSyntaxCheckResult & operator= ( const QScriptSyntaxCheckResult & other )

## Detailed Description

The QScriptSyntaxCheckResult class provides the result of a script syntax check.

QScriptSyntaxCheckResult is returned by QScriptEngine::checkSyntax() to provide information about the syntactical (in)correctness of a script.

## Member Type Documentation

### enum QScriptSyntaxCheckResult::State

This enum specifies the state of a syntax check.

Constant | Value | Description
--- | --- | ---
`QScriptSyntaxCheckResult::Error` | `0` | The program contains a syntax error.
`QScriptSyntaxCheckResult::Intermediate` | `1` | The program is incomplete.
`QScriptSyntaxCheckResult::Valid` | `2` | The program is a syntactically correct Qt Script program.

## Member Function Documentation

### QScriptSyntaxCheckResult::QScriptSyntaxCheckResult ( const QScriptSyntaxCheckResult & other )

Constructs a new QScriptSyntaxCheckResult from the other result.

### QScriptSyntaxCheckResult::~QScriptSyntaxCheckResult ()

Destroys this QScriptSyntaxCheckResult.

### int QScriptSyntaxCheckResult::errorColumnNumber () const

Returns the error column number of this QScriptSyntaxCheckResult, or -1 if there is no error.

See also state() and errorLineNumber().

### int QScriptSyntaxCheckResult::errorLineNumber () const

Returns the error line number of this QScriptSyntaxCheckResult, or -1 if there is no error.

See also state() and errorMessage().

### QString QScriptSyntaxCheckResult::errorMessage () const

Returns the error message of this QScriptSyntaxCheckResult, or an empty string if there is no error.

See also state() and errorLineNumber().

### State QScriptSyntaxCheckResult::state () const

Returns the state of this QScriptSyntaxCheckResult.

### QScriptSyntaxCheckResult & QScriptSyntaxCheckResult::operator= ( const QScriptSyntaxCheckResult & other )

Assigns the other result to this QScriptSyntaxCheckResult, and returns a reference to this QScriptSyntaxCheckResult.